<?php

class ACCJ_Permission {
    public $id;
    public $code;
    public $group;
    public $description;

    public function __construct(array $data) {
        foreach ($data as $key => $value) {
            if (property_exists($this, $key)) {
                $this->$key = $value;
            }
        }
    }

    // متدهای کمکی دیگر مثل بررسی اینکه آیا این permission مربوط به یک group خاص است
}
